=== debian/changelog ===
cndrvcups-common (3.21-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Thu, 9 Mar 2017 00:00:00 +0900

cndrvcups-common (3.20-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2015 10:01:55 +0900

cndrvcups-common (3.10-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2015 10:01:55 +0900

cndrvcups-common (3.00-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2015 10:01:55 +0900

cndrvcups-common (2.90-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2014 10:01:55 +0900

cndrvcups-common (2.80-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2013 10:01:55 +0900

cndrvcups-common (2.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2013 10:01:55 +0900

cndrvcups-common (2.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 10:01:55 +0900

cndrvcups-common (2.50-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2012 10:01:55 +0900

cndrvcups-common (2.40-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2011 10:01:55 +0900

cndrvcups-common (2.30-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2010 10:01:55 +0900

cndrvcups-common (2.20-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 10:01:55 +0900

cndrvcups-common (2.10-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 10:01:55 +0900

cndrvcups-common (2.00-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 10:01:55 +0900

cndrvcups-common (1.90-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2009 10:01:55 +0900

cndrvcups-common (1.80-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 2 Nov 2007 10:01:55 +0900

cndrvcups-common (1.50-2) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Man, 6 Aug 2007 19:28:55 +0900

cndrvcups-common (1.50-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 10 Apr 2007 16:48:55 +0900

cndrvcups-common (1.40-1) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 12 Sep 2006 16:48:55 +0900
